onEvent('recipes', (event) => {

    const id_prefix = 'immersiveengineering:kubejs/blast_furnace';

    const recipes = [
        {
            input: 'emendatusenigmatica:cast_iron_ingot',
            output: 'emendatusenigmatica:steel_ingot',
            time: 600,
            id: 'steel_ingot'
        },
        {
            input: 'emendatusenigmatica:cast_iron_block',
            output: 'emendatusenigmatica:steel_block',
            time: 5400,
            id: 'steel_block'
        },
        {
            input: 'minecraft:bricks',
            output: 'engineersdecor:clinker_brick_block',
            time: 80,
            id: 'clinker_brick_block'
        },
        {
            input: 'occultism:otherstone',
            output: 'occultism:burnt_otherstone',
            time: 100,
            id: 'burnt_otherstone'
        },
        {
            input: 'occultism:chalk_gold_impure',
            output: Item.of('occultism:chalk_gold','{Unbreakable:1b}'),
            time: 2400,
            id: 'chalk_gold'
        }
    ];

    marble_types.forEach(type => {
        recipes.push({
            input: `astralsorcery:marble_${type}`,
            output: `astralsorcery:black_marble_${type}`,
            time: 100,
            id: `black_marble_${type}`
        });
    })

    recipes.forEach((recipe) => {
        event.recipes.immersiveengineering
            .blast_furnace(recipe.output, recipe.input, 'thermal:slag')
            .time(recipe.time)
            .id(`${id_prefix}/${recipe.id}`);
    });

});